Pinecone Assistant
PINECONE_API_KEY="YOUR_API_KEY" ASSISTANT_NAME="example-assistant" curl -X DELETE "https://api.pinecone.io/assistant/assistants/$ASSISTANT_NAME" \ -H "Api-Key: $PINECONE_API_KEY" \ -H "X-Pinecone-Api-Version: 2025-10"
{ "error": { "code": "UNAUTHENTICATED", "message": "Invalid API key." }, "status": 401 }
Delete an existing assistant.
For guidance and examples, see Manage assistants
Documentation IndexFetch the complete documentation index at: https://docs.pinecone.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.pinecone.io/llms.txt
Use this file to discover all available pages before exploring further.
Pinecone API Key
Required date-based version header
The name of the assistant to delete.
The request to delete the assistant has been accepted.
Was this page helpful?